package com.perforce.hwsclient.models;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;




/**
 * A defect, enhancement request, or other job specification.\n\nThe actual fields in a job can be edited by a superuser in your system.\nThe default set of fields in a system are Job, Status, User, Date, and Description.
 **/
@ApiModel(description = "A defect, enhancement request, or other job specification.\n\nThe actual fields in a job can be edited by a superuser in your system.\nThe default set of fields in a system are Job, Status, User, Date, and Description.")
public class JobCommand extends HashMap<String, Object>  {

  /**
   * The job name.
   **/
  @ApiModelProperty(value = "The job name.")
  public String getJob() {
    return (String)get("Job");
  }
  public void setJob(String job) {
    put("Job", job);
  }
}
