package com.perforce.hwsclient.models;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.HashMap;




/**
 * A summary of jobs in the system.\n\nThe actual fields in a job can be edited by a superuser in your system.\nThe default set of fields in a system are Job, Status, User, Date, and Description.\nFields in the output of this command may be missing if the superuser removed User, Status, Date, or Description.
 **/
@ApiModel(description = "A summary of jobs in the system.\n\nThe actual fields in a job can be edited by a superuser in your system.\nThe default set of fields in a system are Job, Status, User, Date, and Description.\nFields in the output of this command may be missing if the superuser removed User, Status, Date, or Description.")
public class JobsCommand extends HashMap<String, Object>  {
  
  /**
   * The job name.
   **/
  @ApiModelProperty(value = "The job name.")
  public String getJob() {
    return (String)get("Job");
  }
  public void setJob(String job) {
    put("Job", job);
  }

}
