package com.perforce.hwsclient.models;

import java.util.Objects;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

import com.google.gson.annotations.SerializedName;




@ApiModel(description = "")
public class FilesCommand   {
  
  @SerializedName("depotFile")
  private String depotFile = null;
  
  @SerializedName("revision")
  private String revision = null;
  
  @SerializedName("change")
  private String change = null;
  
  @SerializedName("action")
  private String action = null;
  
  @SerializedName("time")
  private Date time = null;
  
  @SerializedName("type")
  private String type = null;
  

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getDepotFile() {
    return depotFile;
  }
  public void setDepotFile(String depotFile) {
    this.depotFile = depotFile;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getRevision() {
    return revision;
  }
  public void setRevision(String revision) {
    this.revision = revision;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getChange() {
    return change;
  }
  public void setChange(String change) {
    this.change = change;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getAction() {
    return action;
  }
  public void setAction(String action) {
    this.action = action;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public Date getTime() {
    return time;
  }
  public void setTime(Date time) {
    this.time = time;
  }

  
  /**
   **/
  @ApiModelProperty(value = "")
  public String getType() {
    return type;
  }
  public void setType(String type) {
    this.type = type;
  }

  

  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FilesCommand filesCommand = (FilesCommand) o;
    return Objects.equals(this.depotFile, filesCommand.depotFile) &&
        Objects.equals(this.revision, filesCommand.revision) &&
        Objects.equals(this.change, filesCommand.change) &&
        Objects.equals(this.action, filesCommand.action) &&
        Objects.equals(this.time, filesCommand.time) &&
        Objects.equals(this.type, filesCommand.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(depotFile, revision, change, action, time, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FilesCommand {\n");
    
    sb.append("    depotFile: ").append(toIndentedString(depotFile)).append("\n");
    sb.append("    revision: ").append(toIndentedString(revision)).append("\n");
    sb.append("    change: ").append(toIndentedString(change)).append("\n");
    sb.append("    action: ").append(toIndentedString(action)).append("\n");
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}
